Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.text
Enum OdfBibliographyDataFieldType

    java.lang.Object
      java.lang.Enum<OdfBibliographyDataFieldType>
          org.odftoolkit.odfdom.dom.type.text.OdfBibliographyDataFieldType

All Implemented Interfaces:
  Serializable, Comparable<OdfBibliographyDataFieldType>

    public enum OdfBibliographyDataFieldType

extends Enum<OdfBibliographyDataFieldType>

DOM implementation of OpenDocument attribute text:bibliography-data-field.

Enum Constant Summary
`ADDRESS`
`ANNOTE`
`AUTHOR`
`BIBLIOGRAPHY_TYPE`
`BOOKTITLE`
`CHAPTER`
`CUSTOM1`
`CUSTOM2`
`CUSTOM3`
`CUSTOM4`
`CUSTOM5`
`EDITION`
`EDITOR`
`HOWPUBLISHED`
`IDENTIFIER`
`INSTITUTION`
`ISBN`
`ISSN`
`JOURNAL`
`MONTH`
`NOTE`
`NUMBER`
`ORGANIZATIONS`
`PAGES`
`PUBLISHER`
`REPORT_TYPE`
`SCHOOL`
`SERIES`
`TITLE`
`URL`
`VOLUME`
`YEAR`

Method Summary
`static OdfBibliographyDataFieldType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfBibliographyDataFieldType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfBibliographyDataFieldType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfBibliographyDataFieldType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ANNOTE

    public static final OdfBibliographyDataFieldType ANNOTE

### IDENTIFIER

    public static final OdfBibliographyDataFieldType IDENTIFIER

### VOLUME

    public static final OdfBibliographyDataFieldType VOLUME

### MONTH

    public static final OdfBibliographyDataFieldType MONTH

### ADDRESS

    public static final OdfBibliographyDataFieldType ADDRESS

### SCHOOL

    public static final OdfBibliographyDataFieldType SCHOOL

### EDITOR

    public static final OdfBibliographyDataFieldType EDITOR

### URL

    public static final OdfBibliographyDataFieldType URL

### NUMBER

    public static final OdfBibliographyDataFieldType NUMBER

### PAGES

    public static final OdfBibliographyDataFieldType PAGES

### ORGANIZATIONS

    public static final OdfBibliographyDataFieldType ORGANIZATIONS

### INSTITUTION

    public static final OdfBibliographyDataFieldType INSTITUTION

### NOTE

    public static final OdfBibliographyDataFieldType NOTE

### YEAR

    public static final OdfBibliographyDataFieldType YEAR

### REPORT_TYPE

    public static final OdfBibliographyDataFieldType REPORT_TYPE

### ISBN

    public static final OdfBibliographyDataFieldType ISBN

### TITLE

    public static final OdfBibliographyDataFieldType TITLE

### CHAPTER

    public static final OdfBibliographyDataFieldType CHAPTER

### AUTHOR

    public static final OdfBibliographyDataFieldType AUTHOR

### JOURNAL

    public static final OdfBibliographyDataFieldType JOURNAL

### PUBLISHER

    public static final OdfBibliographyDataFieldType PUBLISHER

### BOOKTITLE

    public static final OdfBibliographyDataFieldType BOOKTITLE

### BIBLIOGRAPHY_TYPE

    public static final OdfBibliographyDataFieldType BIBLIOGRAPHY_TYPE

### HOWPUBLISHED

    public static final OdfBibliographyDataFieldType HOWPUBLISHED

### CUSTOM5

    public static final OdfBibliographyDataFieldType CUSTOM5

### ISSN

    public static final OdfBibliographyDataFieldType ISSN

### CUSTOM4

    public static final OdfBibliographyDataFieldType CUSTOM4

### CUSTOM3

    public static final OdfBibliographyDataFieldType CUSTOM3

### SERIES

    public static final OdfBibliographyDataFieldType SERIES

### EDITION

    public static final OdfBibliographyDataFieldType EDITION

### CUSTOM2

    public static final OdfBibliographyDataFieldType CUSTOM2

### CUSTOM1

    public static final OdfBibliographyDataFieldType CUSTOM1

Method Detail

### values

    public static OdfBibliographyDataFieldType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfBibliographyDataFieldType c : OdfBibliographyDataFieldType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfBibliographyDataFieldType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfBibliographyDataFieldType>`
  Returns:
    return the name of OdfBibliographyDataFieldType

### toString

    public static String toString(OdfBibliographyDataFieldType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfBibliographyDataFieldType, see text:bibliography-data-field
  Returns:
    return the name of OdfBibliographyDataFieldType

### enumValueOf

    public static OdfBibliographyDataFieldType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfBibliographyDataFieldType
  Returns:
    return the constant of OdfBibliographyDataFieldType, see text:bibliography-data-field

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.